package hay.app;

import android.app.Activity;
import android.os.Bundle;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.telephony.SmsManager;
import android.util.Log;
import android.widget.Toast;

public class HaySms extends Activity {
	protected static final int RESULT_FAIL = 0;
	BroadcastReceiver rcvMsgSent = null; // ٸü  ̺Ʈ ĳ
	BroadcastReceiver rcvMsgReceipt = null;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.sms_content);

		Bundle data = this.getIntent().getExtras();
		String des = data.getString("sms_des");
		String body = data.getString("sms_body");
		final SmsManager sms = SmsManager.getDefault();

		// format the number

		// prepare listening intents
		Intent msgSent = new Intent("content://sms/sent");
		Intent msgReceipt = new Intent("ACTION_MSG_RECEIPT");

		final PendingIntent pendingMsgSent = PendingIntent.getBroadcast(this,0, msgSent, 0);
		final PendingIntent pendingMsgReceipt = PendingIntent.getBroadcast(this, 0, msgReceipt, 0);

		// handle the send message button

		sms.sendTextMessage(des, null, body, pendingMsgSent, pendingMsgReceipt);

		if (rcvMsgSent != null) {
			unregisterReceiver(rcvMsgSent);
			rcvMsgSent = null;
		}

		// listen for status notifications
		rcvMsgSent = new BroadcastReceiver() {
			
			@Override
			public void onReceive(Context context, Intent intent) {
				int result = getResultCode();
				if (result != Activity.RESULT_OK) {
					Toast.makeText(HaySms.this, " ۿ ߽ϴ",
							Toast.LENGTH_SHORT).show();
					pendingMsgReceipt.cancel();
				
					finish();
				} else {
					Log.i("telephony", "SMS message sent!");
					Toast.makeText(HaySms.this, "ڸ ߽ϴ.",
							Toast.LENGTH_SHORT).show();
					
					finish();
				}

			}
		};
		registerReceiver(rcvMsgSent, new IntentFilter("content://sms/sent"));

	}

}
